/* -------------------------------------------------------------------------- */
/* -                 Astronomical CCD Camera Control                        - */
/* -                      Apogee Camera Protocol                            - */
/* -------------------------------------------------------------------------- */
/*                                                                            */
/* Copyright 2009-2015 John Kielkopf                                          */
/* kielkopf@louisville.edu                                                    */
/*                                                                            */
/* This file is part of XmCCD.                                                */
/*                                                                            */
/* Date: September 5, 2015                                                    */
/*                                                                            */
/* Version 6.0                                                                */
/*                                                                            */
/* For use with XmCCD and the XPA driver                                      */
/*                                                                            */
/* -------------------------------------------------------------------------- */

#include <libapogeedrv.h>

/* Supported interfaces */

#define USB              0
#define ETH              1
#define PIO              2

/* Default hex ip address 192.168.0.1 */

#define CCD_ETH  0xc0a80001 


/* Device status flags */

#define IDLE 0
#define INTEGRATING 1
#define COMPLETE 2

/* Shutter flag */

#define LEAVE    0
#define OPEN     1
#define CLOSED   2

/* Frame type */

#define DARK     0     
#define LIGHT    1
#define BIAS     2  
#define FLAT     3  

